{
  "name": "shopify-app-node",
  "private": true,
  "scripts": {
    "build": "npm run build:client",
    "build:client": "vite build --outDir dist/client",
    "debug": "node --inspect-brk server/index.js",
    "dev": "cross-env NODE_ENV=development nodemon server/index.js --watch ./server",
    "prepare": "husky install",
    "preserve": "npm run build",
    "serve": "cross-env NODE_ENV=production node server/index.js",
    "start": "npm run serve",
    "test": "vitest --reporter=verbose"
  },
  "type": "module",
  "engines": {
    "node": ">=16.13.0"
  },
  "browserslist": {
    "production": [
      ">0.2%",
      "not dead",
      "not op_mini all"
    ],
    "development": [
      "last 1 chrome version",
      "last 1 firefox version",
      "last 1 safari version"
    ]
  },
  "dependencies": {
    "@apollo/client": "^3.5.10",
    "@shopify/app-bridge": "^2.0.22",
    "@shopify/app-bridge-react": "^2.0.26",
    "@shopify/app-bridge-utils": "^2.0.26",
    "@shopify/polaris": "^9.14.1",
    "@shopify/shopify-api": "^3.0.0",
    "@vitejs/plugin-react": "1.3.2",
    "axios": "^0.27.2",
    "compression": "^1.7.4",
    "cookie-parser": "^1.4.6",
    "cors": "^2.8.5",
    "cross-env": "^7.0.3",
    "dotenv": "^16.0.0",
    "express": "^4.18.1",
    "graphql": "^16.5.0",
    "mysql": "^2.18.1",
    "react": "^17.0.2",
    "react-dom": "^17.0.2",
    "serve-static": "^1.14.1",
    "vite": "^2.9.8"
  },
  "devDependencies": {
    "husky": "^7.0.4",
    "nodemon": "^2.0.16",
    "prettier": "^2.6.2",
    "pretty-quick": "^3.1.3",
    "supertest": "^6.2.3",
    "vitest": "^0.10.5"
  }
}
